%global dlrn_nvr mistral_tempest_tests-1.0.1.dev6-0.20200601042202.64d1029
%global dlrn 1
%define upstream_version 1.0.1.dev6
%global service mistral
%global plugin mistral-tempest-plugin
%global module mistral_tempest_tests
%global with_doc 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Mistral project. \
Additionally it provides a plugin to automatically load these \
tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 1.0.1
Release: 0.20200601042202.64d1029%{?dist}
Summary:    Tempest Integration of Mistral Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: mistral_tempest_tests-1.0.1.dev6-0.20200601042202.64d1029.tar.gz

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Obsoletes:   python-mistral-tests < 6.0.0

Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-pbr >= 3.1.1
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-concurrency >= 3.26.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-paramiko >= 2.0.0
Requires:   python3-six >= 1.10.0
Requires:   python3-mock >= 2.0.0
Requires:   python3-keystoneclient >= 3.15.0
Requires:   python3-testtools >= 2.2.0

%description -n python3-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python3-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation
%{?python_provide:%python_provide python3-%{service}-tests-tempest-doc}

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python3-%{service}-tests-tempest-doc
It contains the documentation for the mistral tempest plugin.
%endif

%prep
%autosetup -n %{module}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{py3_build}

# Generate Docs
%if 0%{?with_doc}
%{__python3} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python3-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif
%changelog
